petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVSetDualSpace

Sets the PetscDualSpace used to define the inner product

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetDualSpace(PetscFV fvm, PetscDualSpace sp)

Not collective

### Input Parameters

| fvm | - The PetscFV object
| sp | - The PetscDualSpace object

Note: A simple dual space is provided automatically, and the user typically will not need to override it.

### See Also

PetscFVCreate()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages